Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# config-lite.h File Reference

`#include "ace/config-macros.h"`
`#include "ace/ace_wchar.h"`

Include dependency graph for config-lite.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | ACE_OS
## Typedefs
typedef void(* | ACE_CLEANUP_FUNC )(void *object, void *param)
typedef void(* | ACE_INIT_LOG_MSG_HOOK )(ACE_OS_Log_Msg_Attributes &attr)
typedef void(* | ACE_INHERIT_LOG_MSG_HOOK )(ACE_OS_Thread_Descriptor *, ACE_OS_Log_Msg_Attributes &)
typedef void(* | ACE_CLOSE_LOG_MSG_HOOK )(void)
typedef void(* | ACE_SYNC_LOG_MSG_HOOK )(const ACE_TCHAR *prog_name)
typedef ACE_OS_Thread_Descriptor *(* | ACE_THR_DESC_LOG_MSG_HOOK )(void)
## Variables
ACE_END_VERSIONED_NAMESPACE_DECL ACE_BEGIN_VERSIONED_NAMESPACE_DECL int | ace_exit_hook_marker
ACE_END_VERSIONED_NAMESPACE_DECL typedef void(* | ACE_EXIT_HOOK )(void)

## Detailed Description

Id
  config-lite.h,v 4.38 2005/12/02 09:34:20 ossama Exp

Author:
  (Originally in OS.h)Doug Schmidt <schmidt@cs.wustl.edu>

  Jesper S. M|ller<stophph@diku.dk>

  and a cast of thousands...

This file contains the contents of the old config-all.h in order to avoid a circular dependency problem caused by some of the new includes added to config-all.h, e.g., OS_main.h.

## Typedef Documentation

typedef void(* ACE_CLEANUP_FUNC)(void *object, void *param)

typedef void(* ACE_CLOSE_LOG_MSG_HOOK)(void)

typedef void(* ACE_INHERIT_LOG_MSG_HOOK)(ACE_OS_Thread_Descriptor *, ACE_OS_Log_Msg_Attributes &)

typedef void(* ACE_INIT_LOG_MSG_HOOK)(ACE_OS_Log_Msg_Attributes &attr)

typedef void(* ACE_SYNC_LOG_MSG_HOOK)(const ACE_TCHAR *prog_name)

typedef ACE_OS_Thread_Descriptor*(* ACE_THR_DESC_LOG_MSG_HOOK)(void)

## Variable Documentation

ACE_END_VERSIONED_NAMESPACE_DECL typedef void(* ACE_EXIT_HOOK)(void)

ACE_END_VERSIONED_NAMESPACE_DECL ACE_BEGIN_VERSIONED_NAMESPACE_DECL int ace_exit_hook_marker